> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pipevest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reports

> Return list of report details



## OpenAPI

````yaml GET /reports
openapi: 3.0.0
info:
  title: Pipevest Investment API
  description: Connecting millions of Africans to the global economy
  version: 0.0.1
servers:
  - url: https://api.pipevest.com/v1
    description: Production server
  - url: https://api.staging.pipevest.com/v1
    description: Staging server
security:
  - BearerAuth: []
paths:
  /reports:
    parameters:
      - $ref: '#/components/parameters/Signature'
      - $ref: '#/components/parameters/SignatureInput'
      - $ref: '#/components/parameters/XCliendId'
    get:
      tags:
        - Reports
      summary: Return list of report details
      parameters:
        - $ref: '#/components/parameters/PageParam'
        - $ref: '#/components/parameters/LimitParam'
        - $ref: '#/components/parameters/SortParam'
      responses:
        '200':
          description: Report details
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Success'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/Report'
components:
  parameters:
    Signature:
      in: header
      name: Signature
      schema:
        type: string
        example: 'sig1=:OTEyMjY4...A5NTNDMEQ=:'
        description: >
          Base64 encoded signed hash of the http message request components.


          [Learn how signatures
          work](/concepts/http-signature/message-signature)
      required: true
    SignatureInput:
      in: header
      name: Signature-Input
      schema:
        type: string
        example: sig1=("Content-Type" "Content-Digest"...expires=<expires>
        description: >
          An ordered list of components that make up the signature base. It is
          used to recompute and verify the `Signature`


          [Learn how signatures
          work](/concepts/http-signature/message-signature)
      required: true
    XCliendId:
      in: header
      name: X-Client-Id
      schema:
        $ref: '#/components/schemas/ClientId'
      example: client-id
      required: true
    PageParam:
      in: query
      name: page
      schema:
        $ref: '#/components/schemas/Page'
    LimitParam:
      in: query
      name: limit
      schema:
        $ref: '#/components/schemas/Limit'
    SortParam:
      in: query
      name: sort
      schema:
        $ref: '#/components/schemas/Sort'
  schemas:
    Success:
      type: object
      properties:
        data:
          oneOf:
            - type: object
            - type: array
        code:
          $ref: '#/components/schemas/ResponseCode'
        message:
          $ref: '#/components/schemas/ResponseMessage'
      required:
        - data
        - code
        - message
    Report:
      type: object
      properties:
        reportId:
          $ref: '#/components/schemas/ReportId'
        reportTypes:
          $ref: '#/components/schemas/ReportTypes'
        status:
          $ref: '#/components/schemas/ReportStatus'
        url:
          $ref: '#/components/schemas/WebhookUrl'
        email:
          $ref: '#/components/schemas/Email'
        createdAt:
          $ref: '#/components/schemas/CreatedAt'
        updatedAt:
          $ref: '#/components/schemas/UpdatedAt'
      required:
        - reportId
        - reportTypes
        - createdAt
        - updatedAt
    ClientId:
      description: Unique identifier assigned to the client
      type: string
      example: client-id
    Page:
      description: The page offset for the items returned
      type: integer
      minimum: 0
      example: 0
    Limit:
      description: The maximum numbers of items to return.
      type: integer
      minimum: 1
      maximum: 1000
      default: 100
      example: 100
    Sort:
      description: |
        The date order in which to sort the items

        This currently only works to sort `createdAt`.
      enum:
        - ASC
        - DESC
      example: ASC
    ResponseCode:
      description: Request response code
      type: string
      example: 200
    ResponseMessage:
      description: Request response message
      type: string
      example: Success
    ReportId:
      description: Unique report identifier
      type: integer
      example: 123456
    ReportTypes:
      type: array
      description: List of report types
      items:
        $ref: '#/components/schemas/ReportType'
    ReportStatus:
      description: Current status of the report
      enum:
        - PROCESSING
        - COMPLETED
        - ERROR
      example: PROCESSING
    WebhookUrl:
      description: A valid https url
      type: string
      example: https://companyx.com/webhooks
    Email:
      description: A valid email
      type: string
      example: reports@companyx.com
    CreatedAt:
      description: Created at unix timestamp
      type: integer
      example: 1234567890
    UpdatedAt:
      description: Updated at unix timestamp
      type: integer
      example: 1234567890
    ReportType:
      description: The type of report
      enum:
        - USER
        - TRANSACTION
        - REGULATORY
      example: REGULATORY
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````